Skip to content

Accept the deposit for this face-to-face transaction

Request

Offline access is allowed for this endpoint when the user has granted the p2p_tx:offline_accept_deposit scope to the client that is performing the request.

Security
OAuth2 or APIKey
Path
transaction_idinteger, (int64)required
Headers
Trustap-Userstring

Required in client flows, where you make API calls on behalf of another Trustap user.

POST
/api/v1/p2p/transactions/{transaction_id}/accept_deposit
curl -i -X POST \
  'https://dev.stage.trustap.com/api/v1/p2p/transactions/{transaction_id}/accept_deposit' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Trustap-User: string'

Responses

OK

Bodyapplication/json
allocate_extra_price_to_clientboolean
allocate_postage_price_tostring
Enum:"seller""client""service"
amount_refundedinteger, (int64)
amount_releasedinteger, (int64)
buyer_handover_confirmedstring, (date-time)
Example:"2019-12-25T16:00:00Z"
buyer_idstring
Example:"feb33a87-3917-4538-9260-127c8a6b5232"
buyer_is_guestboolean
cancellationobject(p2p.Cancellation)
cancelledstring, (date-time)
charge_configinteger, (int64)
Example:1
claimed_by_buyerstring, (date-time)
claimed_by_sellerstring, (date-time)
client_accrual_netinteger, (int64)
client_idstringrequired
Example:"trustap-app"
complainedstring, (date-time)
complaintobject(p2p.Complaint)
Example:
{ "category": "other", "description": "Item was fake" }
complaint_period_deadlinestring, (date-time)
complaint_period_endedstring, (date-time)
contains_shippingboolean
createdstring, (date-time)required
Example:"2019-12-25T09:00:00Z"
currencystringrequired

The currency of the transaction. Note that, at present, the buyer must pay using the transaction's currency and the seller will be paid in the transaction's currency.

Example:"eur"
deliveredstring, (date-time)
deposit_acceptedstring, (date-time)
Example:"2019-12-25T12:00:00Z"
deposit_paidstring, (date-time)
Example:"2019-12-25T11:00:00Z"
deposit_pricingobject(p2p.Pricing)required
Example:
{ "charge": 78, "charge_buyer_client": 0, "charge_buyer_service": 78, "charge_seller": 0, "charge_seller_client": 0, "charge_seller_service": 0, "extra_processing_charge": 0, "postage_processing_charge": 0, "price": 1234, "price_extra": 0 }
deposit_refundedstring, (date-time)
deposit_reviewobject(p2p.Review)
deposit_review_flaggedstring, (date-time)
descriptionstringrequired
Example:"Soccer ticket"
funds_releasedstring, (date-time)
Example:"2019-12-25T17:00:00Z"
idinteger, (int64)required
Example:1309
image_urlstring, (absolute_url)

URL of the image displayed on the Trustap payment page to show the buyer the item they are paying for. Supports jpg, png, gif, bmp and svg files. Images displayed as a squares. Non-square images are cropped

is_deposit_payment_in_progressbooleanrequired

If the deposit is paid via a delayed payment method, such as SEPA debit, this field will be true until the payment has fully succeeded or failed.

Example:false
is_remainder_payment_in_progressbooleanrequired

If the remainder is paid via a delayed payment method, such as SEPA debit, this field will be true until the payment has fully succeeded or failed.

Example:false
itemsArray of objects(p2p.TransactionItem)

The items added to the transaction.

Example:
[ { "charge_config": 1, "created": "2026-06-25T09:00:00Z", "currency": "eur", "description": "Monthly subscription", "item_id": "it_01h2xcejqtf2nbrexx3vqjhp41", "payment_method": "card", "price": 999, "price_extra": 50, "price_postage": 200, "recurring_period": "month", "ref_id": "sku-widget-1", "tax_code": "digital_goods", "transaction_id": 1234 } ]
join_codestring
joinedstring, (date-time)
Example:"2019-12-25T10:00:00Z"
listing_idstring

If the transaction is created from a listing then this is the ID of that listing; otherwise this property is omitted.

listing_typestring(p2p.ListingType)
Enum:"single_use""multi_use"
Example:"single_use"
metadataobject

Arbitrary key-value string pairs, which allows the addition of extra information to transactions outside of the prescribed fields. For example, when a transaction is used to power a product on an ecommerce marketplace, the the product ID can be added to the transaction for reference.

order_issueobject(p2p.OrderIssue)
Example:
{ "category": "other", "description": "Item was not delivered" }
order_issue_raisedstring, (date-time)
payout_idstring
pricedstring, (date-time)
Example:"2019-12-25T13:00:00Z"
pricingobject(p2p.Pricing)
Example:
{ "charge": 78, "charge_buyer_client": 0, "charge_buyer_service": 78, "charge_seller": 0, "charge_seller_client": 0, "charge_seller_service": 0, "extra_processing_charge": 0, "postage_processing_charge": 0, "price": 1234, "price_extra": 0 }
quantityinteger, (int64)required
Example:1
refundedstring, (date-time)
refundsArray of objects(p2p.Refund)
rejectedstring, (date-time)
released_to_sellerboolean
remainder_paidstring, (date-time)
Example:"2019-12-25T14:00:00Z"
remainder_reviewobject(p2p.Review)
remainder_review_flaggedstring, (date-time)
remainder_skippedstring, (date-time)
seller_handover_confirmedstring, (date-time)
Example:"2019-12-25T15:00:00Z"
seller_idstring
Example:"ad5bb99f-85bf-47e1-be0d-15e7541c6ad7"
seller_is_guestboolean
seller_phone_numberstring
skip_remainderbooleanrequired

If skip_remainder is true then this transaction will move to the "confirm handover" step after the deposit has been accepted.

Example:false
statusstringrequired
Example:"funds_released"
subscription_idstring
trackedstring, (date-time)
trackingobject(p2p.Tracking)
Example:
{ "carrier": "ups", "tracking_code": "***" }
Response
{ "buyer_handover_confirmed": "2019-12-25T16:00:00Z", "buyer_id": "feb33a87-3917-4538-9260-127c8a6b5232", "charge_config": 1, "client_id": "trustap-app", "created": "2019-12-25T09:00:00Z", "currency": "eur", "deposit_accepted": "2019-12-25T12:00:00Z", "deposit_paid": "2019-12-25T11:00:00Z", "deposit_pricing": { "charge": 78, "charge_buyer_client": 0, "charge_buyer_service": 78, "charge_seller": 0, "charge_seller_client": 0, "charge_seller_service": 0, "extra_processing_charge": 0, "price": 1234, "price_extra": 0 }, "description": "Soccer ticket", "funds_released": "2019-12-25T17:00:00Z", "id": 1309, "is_deposit_payment_in_progress": false, "is_remainder_payment_in_progress": false, "joined": "2019-12-25T10:00:00Z", "priced": "2019-12-25T13:00:00Z", "pricing": { "charge": 190, "charge_buyer_client": 0, "charge_buyer_service": 190, "charge_seller": 0, "charge_seller_client": 0, "charge_seller_service": 0, "extra_processing_charge": 0, "price": 5000, "price_extra": 0 }, "quantity": 1, "remainder_paid": "2019-12-25T14:00:00Z", "seller_handover_confirmed": "2019-12-25T15:00:00Z", "seller_id": "ad5bb99f-85bf-47e1-be0d-15e7541c6ad7", "skip_remainder": false, "status": "funds_released" }